<?php
foreach($_GET as $campo => $valor){${$campo}=$valor;} 
foreach($_POST as $campo => $valor){${$campo}=$valor;} 
include_once('lib_main.php');
include('reset0.php'); 

// if($xempr==''){$empr_array=explode('.',$cias);}
// if($xempr!=''){$empr_array=array($xempr);}
// echo var_dump($empr_array); 

// for($iempr=0; $iempr<count($empr_array); $iempr++)
{
     $cfg_empr=$empr_array[$iempr];
     $cfg_empr='demo';
     $link_data='';
     $_SESSION['link_data']='' ;   
     $link_data=msql_connect('','','',$cfg_empr);
     $empr0=data_maes('empr',$cfg_empr);
     foreach($empr0 as $key=>$value){$_SESSION[$key]=$value;}

//   $empr_codi=substr(trim($empr_array[$iempr]),0,4);
// 	chdir('../'.$empr_codi.'/_lib');
// 	include('../_cfg/config.php');
  
	echo '<br>';
	echo '<br>***********';
	echo '<br>EMPR: '.$cfg_empr.' ==> ';
	echo '<br>';

     crea_maes('test');
//      crea_maes('test',4);
     crea_tran('test');
     
//      set_colu('tabla','uxpre','decimal(7,2)','','');     
     
}	


function crea_maes($tabla,$codigo=0)
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['empr_codigo'];}
     
     $tabla0=$tabla.'0';
     if($codigo==='X')
     {
          msql_query('drop table '.$tabla0,$link_data);
          echo '<br>'.$tabla0.'==> ELIMINADA';
          return;
     }	
     
     $sql_sche ='select table_name ';
     $sql_sche.='from information_schema.columns ';
     $sql_sche.='where table_name="'.$tabla0.'" ';
     $sql_sche.='limit 1 ';
//      $res_sche=msql_query($sql_sche,$link_data);
//      if(msql_num_rows($res_sche)==0)
     {msql_query('create table '.$tabla0.' ('.$tabla.'_codigo char('.$codigo.')not null)engine=innodb',$link_data);}
//      {msql_query('create table if not exist '.$tabla0.' ('.$tabla.'_codigo char('.$codigo.'))',$link_data);}
     msql_query('alter table '.$tabla0.' engine=innodb, default character set=latin1 collate=latin1_spanish_ci',$link_data);

	if($codigo==0)
	{msql_query('alter table '.$tabla0.' change column '.$tabla.'_codigo '.$tabla.'_codigo int not null auto_increment',$link_data);}
	else
	{
          $colafter=set_colu($tabla0,$tabla.'_codigo','char('.$codigo.')',$colafter);
          msql_query('alter table '.$tabla0.' drop primary key',$link_data);
          msql_query('alter table '.$tabla0.' add primary key('.$tabla.'_codigo)',$link_data);
     }
     
	$colafter=$tabla.'_codigo';
     $colafter=set_colu($tabla0,$tabla.'_descri','varchar(100)',$colafter);
     $colafter=set_colu($tabla0,$tabla.'_tipo','varchar(4)',$colafter);
     $colafter=set_colu($tabla0,$tabla.'_status','varchar(1)',$colafter,'-');
     $colafter=set_colu($tabla0,$tabla.'_iuser','varchar(10)',$colafter);
     $colafter=set_colu($tabla0,$tabla.'_idate','datetime',$colafter);
     $colafter=set_colu($tabla0,$tabla.'_lused','datetime',$colafter);
     $colafter=set_colu($tabla0,$tabla.'_descri0','varchar(100)',$colafter);
}

function crea_tran($tabla,$codigo=0)
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['empr_codigo'];}

     $tabla1=$tabla.'1';
     $tabla2=$tabla.'2';
     if($codigo==='X')
     {
          msql_query('drop table '.$tabla1,$link_data);
          echo '<br>'.$tabla1.'==> ELIMINADA';
          msql_query('drop table '.$tabla2,$link_data);
          echo '<br>'.$tabla2.'==> ELIMINADA';
          return;
     }	
     
     $sql_sche ='select table_name ';
     $sql_sche.='from information_schema.columns ';
     $sql_sche.='where table_name="'.$tabla1.'" ';
     $sql_sche.='limit 1 ';

     msql_query('create table '.$tabla1.'(idnum1 int not null primary key auto_increment) engine=innodb',$link_data);
     msql_query('create table '.$tabla2.'(idnum2 int not null) engine=innodb',$link_data);

     msql_query('alter table '.$tabla1.' engine=innodb, default character set=latin1 collate=latin1_spanish_ci',$link_data);
     msql_query('alter table '.$tabla2.' engine=innodb, default character set=latin1 collate=latin1_spanish_ci',$link_data);
     
     msql_query('alter table '.$tabla2.' drop key idnum2',$link_data);
     msql_query('create index idnum2 on '.$tabla2.'(idnum2)',$link_data);

     
     // tabla1 main
     {
     $colafter=set_colu($tabla1,'docu','varchar(4)','idnum1','');
     $colafter=set_colu($tabla1,'ptoe','varchar(6)',$colafter,'001001');
     $colafter=set_colu($tabla1,'numero','varchar(9)',$colafter,'999999999');
     $colafter=set_colu($tabla1,'fecha','date',$colafter);
     $colafter=set_colu($tabla1,'enti','varchar(13)',$colafter,'9999999999999');
     
     $colafter=set_colu($tabla1,'ptov','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'bode','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'caba','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'caja','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'ctab','varchar(6)',$colafter);

     $colafter=set_colu($tabla1,'zsub','varchar(9)',$colafter);
     $colafter=set_colu($tabla1,'csub1','varchar(9)',$colafter);
     $colafter=set_colu($tabla1,'ctas1','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'item1','varchar(13)',$colafter);
     
     $colafter=set_colu($tabla1,'stfin','varchar(1)',$colafter);
     $colafter=set_colu($tabla1,'status','varchar(1)',$colafter,'-');
     $colafter=set_colu($tabla1,'concepto','varchar(250)',$colafter);
     }

     // tabla2 main
     {
     $colafter='idnum2';
     $colafter=set_colu($tabla2,'iddet','int(4)',$colafter);
     $colafter=set_colu($tabla2,'itnum','int(3)',$colafter);
     $colafter=set_colu($tabla2,'item','varchar(13)',$colafter);
     $colafter=set_colu($tabla2,'ctas','varchar(13)',$colafter);
          
     if(mb_stristr('cont',$tabla))
     {$colafter=set_colu($tabla2,'cant','decimal(15,6)',$colafter);}
     else
     {$colafter=set_colu($tabla2,'cant','decimal(13,4)',$colafter);}
     $colafter=set_colu($tabla2,'puni','decimal(13,6)',$colafter);
     $colafter=set_colu($tabla2,'detalle','varchar(250)',$colafter);
          
     }
     
     //audit
     {
     $colafter=set_colu($tabla1,'idfrom','int(9)',$colafter);
     $colafter=set_colu($tabla1,'mdfrom','varchar(4)',$colafter);
     $colafter=set_colu($tabla1,'iuser','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'idate','datetime',$colafter);
     $colafter=set_colu($tabla1,'uuser','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'udate','datetime',$colafter);
     $colafter=set_colu($tabla1,'auser','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'adate','datetime',$colafter);
     $colafter=set_colu($tabla1,'fuser','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'fdate','datetime',$colafter);
     $colafter=set_colu($tabla1,'ouser','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'odate','datetime',$colafter);
     $colafter=set_colu($tabla1,'xuser','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'xdate','datetime',$colafter);
          
     $colafter=set_colu($tabla2,'idate2','datetime',$colafter);
     }

     //tabla1 campos x modulo     
     {
     $colafter=set_colu($tabla1,'mensaje','varchar(250)',$colafter);
     $colafter=set_colu($tabla1,'adjunto1','varchar(250)',$colafter);

     if(mb_stristr('vtas.clie.comp.prov',$tabla))
     {$colafter=set_colu($tabla1,'efectivo','decimal(9,2)',$colafter);}
          
     if(mb_stristr('vtas.clie.comp.prov.dxco.dxpa...guia.prod...caja.bcos.retc.retp',$tabla))
     {$colafter=set_colu($tabla1,'plazo','smallint(3)',$colafter);}
          
     if(mb_stristr('vtas.clie.clte.comp.prov.dxco.dxpa',$tabla))
     {$colafter=set_colu($tabla1,'cuota','smallint(3)',$colafter);}

     if(mb_stristr('comp.prov.impo',$tabla))
     {
     $colafter=set_colu($tabla1,'impor','varchar(12)',$colafter);
     $colafter=set_colu($tabla1,'costoe1','decimal(15,6)',$colafter);
     $colafter=set_colu($tabla1,'seguro1','decimal(15,6)',$colafter);
     $colafter=set_colu($tabla1,'flete1','decimal(15,6)',$colafter);
     $colafter=set_colu($tabla1,'costol1','decimal(15,6)',$colafter);

     $colafter=set_colu($tabla1,'costoe1d','varchar(1)',$colafter);
     $colafter=set_colu($tabla1,'seguro1d','varchar(1)',$colafter);
     $colafter=set_colu($tabla1,'flete1d','varchar(1)',$colafter);
     $colafter=set_colu($tabla1,'costol1d','varchar(1)',$colafter);
     }

     if(mb_stristr('vtas.clie.carr.call...comp.prov..',$tabla))
     {$colafter=set_colu($tabla1,'toenti','varchar(13)',$colafter);}
          
     if(mb_stristr('vtas.clie.comp.prov...caba.caja.bcos.ctab...dxco.dxpa.inve',$tabla))
     {
     $colafter=set_colu($tabla1,'todocu','varchar(4)',$colafter);
     $colafter=set_colu($tabla1,'toptoe','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'tonume','varchar(9)',$colafter);
     $colafter=set_colu($tabla1,'toatrz','varchar(49)',$colafter);
     }

     if(mb_stristr('caba.bcos.ctab',$tabla))
     {$colafter=set_colu($tabla1,'benefic','varchar(30)',$colafter);}		

     if(mb_stristr('vtas.clie.call',$tabla))
     {
     $colafter=set_colu($tabla1,'attn','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'vndd','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'rcdd','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'cmpd','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'drtr','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'adrs','int(9)',$colafter);
     $colafter=set_colu($tabla1,'atencion','varchar(200)',$colafter);
     }		

     if(mb_stristr('inve.prod',$tabla))
     {
     $colafter=set_colu($tabla1,'impor','varchar(12)',$colafter);
     $colafter=set_colu($tabla1,'tobode','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'bode2','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'numfac','varchar(9)',$colafter);
     $colafter=set_colu($tabla1,'idfact','int(9)',$colafter);
     $colafter=set_colu($tabla1,'dias_tep','smallint(3)',$colafter);
     }		

     if(mb_stristr('caja.bcos.....dxco.dxpa',$tabla))
     {$colafter=set_colu($tabla1,'caba2','varchar(6)',$colafter);}		

     if(mb_stristr('caja',$tabla))
     {
     $colafter=set_colu($tabla1,'fcobro','date',$colafter);
     $colafter=set_colu($tabla1,'fdepo','date',$colafter);
     $colafter=set_colu($tabla1,'fechadepo','date',$colafter);
     $colafter=set_colu($tabla1,'ctabdepo','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'numedepo','varchar(9)',$colafter);
     }		

     if(mb_stristr('bcos',$tabla))
     {
     $colafter=set_colu($tabla1,'fentrega','date',$colafter);
     $colafter=set_colu($tabla1,'fcobro','date',$colafter);
     $colafter=set_colu($tabla1,'ecta_desc1','varchar(20)',$colafter);
     $colafter=set_colu($tabla1,'ecta_refe1','varchar(20)',$colafter);
     $colafter=set_colu($tabla1,'ecta_refe2','varchar(20)',$colafter);
     $colafter=set_colu($tabla1,'ecta_codtra','varchar(20)',$colafter);
     }		

     if(mb_stristr('clie.vtas',$tabla))
     {
     $colafter=set_colu($tabla1,'paypal_res','text',$colafter);
     $colafter=set_colu($tabla1,'payphone_res','text',$colafter);
     }

     if(mb_stristr('vtas.clie.comp.prov.guia.retp.retc...role.caja.bcos.prod',$tabla))
     {$colafter=set_colu($tabla1,'claveacc','varchar(49)',$colafter);}

     if(mb_stristr('vtas.guia.retp.comp',$tabla))
     {
     $colafter=set_colu($tabla1,'firmado','datetime',$colafter);
     $colafter=set_colu($tabla1,'firmafec','datetime',$colafter);
     $colafter=set_colu($tabla1,'recepfec','datetime',$colafter);
     $colafter=set_colu($tabla1,'recepmsj','varchar(250)',$colafter);
     }
          
     if(mb_stristr('vtas.comp.guia.retp.retc.rete.retb',$tabla))
     {
     $colafter=set_colu($tabla1,'autorfec','datetime',$colafter);
     $colafter=set_colu($tabla1,'autornum','varchar(49)',$colafter);
     $colafter=set_colu($tabla1,'autormsj','varchar(200)',$colafter);
     $colafter=set_colu($tabla1,'firmante','varchar(13)',$colafter);
     }		

     if(mb_stristr('vtas.comp.guia.retp.retc.rete.retb',$tabla))
     {
     $colafter=set_colu($tabla1,'atrz','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'atrzvali','varchar(1)',$colafter);
     }		
          
     if(mb_stristr('vtas.guia.retp.clie.prov.caja.susa.role,comp.prod',$tabla))
     {
     $colafter=set_colu($tabla1,'emailfec','datetime',$colafter);
     $colafter=set_colu($tabla1,'emailto','varchar(50)',$colafter);
     }

     if(mb_stristr('vtas.clie...comp.prov.retc.retp',$tabla))
     {$colafter=set_colu($tabla1,'infoadic','text',$colafter);}		

     if(mb_stristr('vtas.clie.comp.caja.bcos.dxco.dxpa.carr.prov',$tabla))
     {$colafter=set_colu($tabla1,'fpag','varchar(2)',$colafter);}		

     if(mb_stristr('cont.comp.prov.vtas',$tabla))
     {$colafter=set_colu($tabla1,'suco','varchar(2)',$colafter);}		

     if(mb_stristr('cont.comp',$tabla))
     {$colafter=set_colu($tabla1,'rise','varchar(1)',$colafter);}		

     if(mb_stristr('comp',$tabla))
     {
//      $colafter=set_colu($tabla1,'aprobado','varchar(1)',$colafter,'1');
//      $colafter=set_colu($tabla1,'fechadocu','date',$colafter);
//      $colafter=set_colu($tabla1,'fechacont','date',$colafter);
     }		

     if(mb_stristr('retc.retp',$tabla))
     {
//      $colafter=set_colu($tabla1,'codret','varchar(4)',$colafter);
//      $colafter=set_colu($tabla1,'cret','varchar(4)',$colafter);
     }

     if(mb_stristr('susa',$tabla))
     {
     $colafter=set_colu($tabla1,'fecha1','date',$colafter);
     $colafter=set_colu($tabla1,'fecha2','date',$colafter);
     $colafter=set_colu($tabla1,'fechasale','date',$colafter);
     }		

     if(mb_stristr('guia',$tabla))
     {
     $colafter=set_colu($tabla1,'fecha1','date',$colafter);
     $colafter=set_colu($tabla1,'fecha2','date',$colafter);
     $colafter=set_colu($tabla1,'punto1','varchar(250)',$colafter);
     $colafter=set_colu($tabla1,'punto2','varchar(250)',$colafter);
     $colafter=set_colu($tabla1,'cedula1','varchar(13)',$colafter);
     $colafter=set_colu($tabla1,'cedula2','varchar(13)',$colafter);
     $colafter=set_colu($tabla1,'nombre1','varchar(30)',$colafter);
     $colafter=set_colu($tabla1,'nombre2','varchar(30)',$colafter);
          
     $colafter=set_colu($tabla1,'vhcl','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'placa','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'ruta','varchar(50)',$colafter);
     $colafter=set_colu($tabla1,'motivo','varchar(20)',$colafter);
     $colafter=set_colu($tabla1,'numfac','varchar(9)',$colafter);

     $colafter=set_colu($tabla1,'wsapp1','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'wsapp2','varchar(10)',$colafter);
     $colafter=set_colu($tabla1,'valflete','decimal(5,2)',$colafter);

     $colafter=set_colu($tabla1,'observaciones','varchar(250)',$colafter);
     }		

     if(mb_stristr('jwib.jwiv',$tabla))
     {
     $colafter=set_colu($tabla1,'fecha1','date',$colafter);
     $colafter=set_colu($tabla1,'fechar','date',$colafter);
     $colafter=set_colu($tabla1,'cong','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'sala','varchar(1)',$colafter,'1');
     $colafter=set_colu($tabla1,'cong2','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'cong2_descri','varchar(30)',$colafter);
     $colafter=set_colu($tabla1,'cong2_dpud','varchar(1)',$colafter);
     $colafter=set_colu($tabla1,'cong2_dpuh','varchar(5)',$colafter);

     $colafter=set_colu($tabla1,'nombre1','varchar(30)',$colafter);
     $colafter=set_colu($tabla1,'nombre2','varchar(30)',$colafter);
     $colafter=set_colu($tabla1,'nombre3','varchar(30)',$colafter);
     $colafter=set_colu($tabla1,'nombre4','varchar(30)',$colafter);

     $colafter=set_colu($tabla1,'orat','varchar(2)',$colafter);
     $colafter=set_colu($tabla1,'bsqj','varchar(3)',$colafter);
     $colafter=set_colu($tabla1,'tema','varchar(40)',$colafter);

     $colafter=set_colu($tabla1,'sala','varchar(1)',$colafter);
     $colafter=set_colu($tabla1,'lugar','varchar(1)',$colafter);
     }		

     if(mb_stristr('jwrt',$tabla))
     {
     $colafter=set_colu($tabla1,'cong','varchar(6)',$colafter);
     $colafter=set_colu($tabla1,'public','decimal(5,2)',$colafter);
     $colafter=set_colu($tabla1,'presen','decimal(5,2)',$colafter);
     $colafter=set_colu($tabla1,'horas','decimal(5,2)',$colafter);
     $colafter=set_colu($tabla1,'revisi','decimal(5,2)',$colafter);
     $colafter=set_colu($tabla1,'cursos','decimal(5,2)',$colafter);
     }
     
          
          

     }     

     //tabla1 especiales x cia
     {
          if(mb_stristr('retc.retp',$tabla) and mb_stristr('hshe',$cfg_empr))
          {$colafter=set_colu($tabla1,'zeus','varchar(1)',$colafter,'1');}

          if(mb_stristr('vtas.clie.carr.comp.prov',$tabla) and mb_stristr('gnya',$cfg_empr))
          {$colafter=set_colu($tabla1,'drtr','varchar(13)',$colafter);}

          if(mb_stristr('vtas.clie.carr',$tabla) and mb_stristr('tgck',$cfg_empr))
          {
          $colafter=set_colu($tabla2,'vhcl','varchar(7)',$colafter);
          $colafter=set_colu($tabla2,'odmt','int(6)',$colafter);
          }
     }
     
     //tabla2 campos x modulo     
     {
          if(mb_stristr('acce',$tabla))
          {
          $colafter=set_colu($tabla2,'docum','varchar(4)',$colafter);
          $colafter=set_colu($tabla2,'full','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'nuev','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'modi','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'anul','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'elim','varchar(1)',$colafter);

          $colafter=set_colu($tabla2,'apro','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'proc','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'clon','varchar(1)',$colafter);

          $colafter=set_colu($tabla2,'cons','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'info','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'espe','varchar(1)',$colafter);
          }

          if(mb_stristr('cont.caja.bcos.dxco.dxpa.retc.retp.comi.atvd.nomi.empl',$tabla))
          {
          $colafter=set_colu($tabla2,'docum','varchar(4)',$colafter);
          $colafter=set_colu($tabla2,'ptoem','varchar(6)',$colafter,'001001');
          $colafter=set_colu($tabla2,'numer','varchar(9)',$colafter);
          }

		if(mb_stristr('vtas.clie.comp.prov.carr',$tabla))
		{
			$colafter=set_colu($tabla2,'dcto','decimal(10,6)',$colafter,'0');
			$colafter=set_colu($tabla2,'prop','decimal(4,2)',$colafter,'0');
			$colafter=set_colu($tabla2,'ssid','decimal(4,2)',$colafter,'0');
			$colafter=set_colu($tabla2,'ice','decimal(4,2)',$colafter,'0');
			$colafter=set_colu($tabla2,'iva','decimal(4,2)',$colafter,'0');
			$colafter=set_colu($tabla2,'irbp','decimal(4,2)',$colafter,'0');
		}

		if(mb_stristr('vtas.clie.comp.prov.',$tabla))
		{
			$colafter=set_colu($tabla2,'cair','varchar(5)',$colafter);
			$colafter=set_colu($tabla2,'prrta','decimal(5,2)',$colafter,'0');
			$colafter=set_colu($tabla2,'priva','decimal(5,2)',$colafter,'0');
		}

          if(mb_stristr('vtas.clie.carr',$tabla))
          {$colafter=set_colu($tabla2,'cuni','decimal(13,6)',$colafter);}

		if(mb_stristr('vtas.clie',$tabla))
		{
               $colafter=set_colu($tabla2,'comi','decimal(5,2)',$colafter);
               $colafter=set_colu($tabla2,'pcp1','decimal(13,4)',$colafter);
          }
     
          if(mb_stristr('inve.intf.prod',$tabla))
          {$colafter=set_colu($tabla2,'pvta','decimal(13,6)',$colafter);}

          if(mb_stristr('prod',$tabla))
          {$colafter=set_colu($tabla2,'iva','decimal(4,2)',$colafter);}	
    
		if(mb_stristr('inve.prod',$tabla))
		{
			$colafter=set_colu($tabla2,'reval','decimal(13,6)',$colafter);
			$colafter=set_colu($tabla2,'cambio','varchar(13)',$colafter);
		}		
		
		
          if(mb_stristr('comp.prov.impo',$tabla))
          {
               $colafter=set_colu($tabla2,'umdd','varchar(4)',$colafter);
               $colafter=set_colu($tabla2,'peso','decimal(9,2)',$colafter);

               $colafter=set_colu($tabla2,'arcl','varchar(18)',$colafter);
               $colafter=set_colu($tabla2,'adva','decimal(13,6)',$colafter);
               $colafter=set_colu($tabla2,'espe','decimal(13,6)',$colafter);
               $colafter=set_colu($tabla2,'dump','decimal(13,6)',$colafter);
               $colafter=set_colu($tabla2,'fodi','decimal(13,6)',$colafter);
               $colafter=set_colu($tabla2,'isdi','decimal(7,2)',$colafter);
               $colafter=set_colu($tabla2,'icei','decimal(7,2)',$colafter);
               $colafter=set_colu($tabla2,'ivai','decimal(7,2)',$colafter);
               $colafter=set_colu($tabla2,'cuni','decimal(13,6)',$colafter);
          }		
		
		if(mb_stristr('comp',$tabla))
		{
			$colafter=set_colu($tabla2,'r_claveacc','varchar(49)',$colafter);
			$colafter=set_colu($tabla2,'r_docu','varchar(4)',$colafter);
			$colafter=set_colu($tabla2,'r_ptoe','varchar(6)',$colafter);
			$colafter=set_colu($tabla2,'r_numero','varchar(9)',$colafter);
			$colafter=set_colu($tabla2,'r_fecha','date',$colafter);
			$colafter=set_colu($tabla2,'r_enti1','varchar(13)',$colafter);
			$colafter=set_colu($tabla2,'r_enti2','varchar(13)',$colafter);
			$colafter=set_colu($tabla2,'r_atrz','varchar(10)',$colafter);
		}		
		
    
		if(mb_stristr('cont.retc.retp',$tabla))
		{$colafter=set_colu($tabla2,'cair','varchar(5)',$colafter);}

		if(mb_stristr('retc.retp',$tabla))
		{
			$colafter=set_colu($tabla2,'base','decimal(10,2)',$colafter);
			$colafter=set_colu($tabla2,'porc','decimal(5,2)',$colafter);
		}		
		
          
          if(mb_stristr('nomi.plan.atvd',$tabla))
          {$colafter=set_colu($tabla2,'enti2','varchar(10)',$colafter);}

          if(mb_stristr('empl',$tabla))
          {$colafter=set_colu($tabla2,'fecha2','date',$colafter);}
          
          if(mb_stristr('cont.susa.nomi.empl',$tabla))
          {
          $colafter=set_colu($tabla2,'nvdd','varchar(5)',$colafter);
          $colafter=set_colu($tabla2,'csub','varchar(9)',$colafter);
          }

          if(mb_stristr('plan.atvd',$tabla))
          {
          $colafter=set_colu($tabla2,'asub','varchar(10)',$colafter);
          $colafter=set_colu($tabla2,'zsub2','varchar(9)',$colafter);
//           $colafter=set_colu($tabla2,'funcion','varchar(15)',$colafter);
//           $colafter=set_colu($tabla2,'asignacion','varchar(15)',$colafter);
//           $colafter=set_colu($tabla2,'grupo','varchar(15)',$colafter);
          }
          

		if(mb_stristr('cont.vtas.clie.comp.prov.inve.intf.prod.carr',$tabla))
		{
			$colafter=set_colu($tabla2,'lote','varchar(10)',$colafter);
			$colafter=set_colu($tabla2,'serie','varchar(20)',$colafter);
		}
          
          if(mb_stristr('comp.prov',$tabla))
          {
          $colafter=set_colu($tabla2,'itemce','varchar(20)',$colafter);
          $colafter=set_colu($tabla2,'itemce2','varchar(20)',$colafter);
          $colafter=set_colu($tabla2,'uxpre','decimal(7,2)',$colafter);
          $colafter=set_colu($tabla2,'facon','decimal(15,6)',$colafter);
          }

          if(mb_stristr('comp.prov.impo',$tabla))
          {$colafter=set_colu($tabla2,'impor2','varchar(12)',$colafter);}    

          if(mb_stristr('susa',$tabla))
          {
          $colafter=set_colu($tabla2,'cargo','varchar(20)',$colafter);
          $colafter=set_colu($tabla2,'sueldo','decimal(9,2)',$colafter);
          $colafter=set_colu($tabla2,'valanti','decimal(9,2)',$colafter);
          $colafter=set_colu($tabla2,'poranti','decimal(5,2)',$colafter);

          $colafter=set_colu($tabla2,'alimentacion','decimal(9,2)',$colafter);
          $colafter=set_colu($tabla2,'movilizacion','decimal(9,2)',$colafter);
          $colafter=set_colu($tabla2,'comision','decimal(9,2)',$colafter);
          $colafter=set_colu($tabla2,'otros','decimal(9,2)',$colafter);

          $colafter=set_colu($tabla2,'iess','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'reloj','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'atraso','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'falta','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'h025','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'h050','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'h100','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'de13','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'de14','varchar(1)',$colafter);
          $colafter=set_colu($tabla2,'fres','varchar(1)',$colafter);
          }
          
          
		if(mb_stristr('retc.retp',$tabla))
		{$colafter=set_colu($tabla2,'fecdocum','date',$colafter);}
          
     }
      
     // tabla2 campos x cia
     {
          if(mb_stristr('vtas.clie',$tabla) and mb_stristr('pcs1',$cfg_empr))
          {$colafter=set_colu($tabla2,'envio','decimal(5,2)',$colafter);}
          
          if(mb_stristr('vtas.clie',$tabla) and mb_stristr('pcs1.prs1',$cfg_empr))
          {
          $colafter=set_colu($tabla2,'cntn','varchar(11)',$colafter);
          $colafter=set_colu($tabla2,'cntnf1','date',$colafter);
          $colafter=set_colu($tabla2,'cntnf2','date',$colafter);
          $colafter=set_colu($tabla2,'serie1','varchar(20)',$colafter);
          $colafter=set_colu($tabla2,'serie2','varchar(20)',$colafter);
          $colafter=set_colu($tabla2,'serie3','varchar(20)',$colafter);
//           $colafter=set_colu($tabla2,'eirout','int',$colafter);
//           $colafter=set_colu($tabla2,'eirin','int',$colafter);
          }
          
     }

}

function set_colu($tabla,$colu,$tipo,$after="",$defa="")
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     $colu1=$colu;
     if(substr($tabla,-1,1)=='0')
     {if(substr($colu,4,1)!='_'){$colu=substr($tabla,0,4).'_'.$colu; }}

     if($tipo==='X')
     {
          msql_query('alter table '.$tabla.' drop column '.$colu,$link_data);
          echo '<br> COL ==> '.$tabla.'_'.$colu.' => X';
          return $after;
     }
     
     $sql_sche ='select ordinal_position,column_name,column_type ';
     $sql_sche.='from information_schema.columns ';
     $sql_sche.='where table_schema="'.$_SESSION['dataname'].'" ';
     $sql_sche.='and table_name="'.$tabla.'" ';
     
     if(empty($after))
     {$sql_sche.='and column_name="'.$colu.'" ';}
     else
     {
          $sql_sche.='and (column_name="'.$colu.'" ';
          $sql_sche.='or column_name="'.$after.'") ';
          $sql_sche.='order by ordinal_position desc';
     }     
     $res_sche=msql_query($sql_sche,$link_data);
     $colu_name=msql_result($res_sche,0,'column_name');
     $colu_posi=msql_result($res_sche,0,'ordinal_position');
     $colu_type=msql_result($res_sche,0,'column_type','type');
     $afte_name=msql_result($res_sche,1,'column_name');
     $afte_posi=msql_result($res_sche,1,'ordinal_position');
     
     $colu_posi=(int)$colu_posi;
     $afte_posi=(int)$afte_posi;

     $colu_msge=$cfg_empr.' ==> '.$tabla.'.'.$colu;
     if(!mb_stristr($colu_name.$afte_name,$colu))
     {
          $sql_colu='alter table '.$tabla.' add column '.$colu.' '.$tipo;
          $colu_msge.= ' => '.$tipo;
     }
	else
     {
          $sql_colu='alter table '.$tabla.' change column '.$colu.' '.$colu.' '.$tipo;
          if($tipo!=$colu_type)
          {
//           $sql_colu=$colu.' '.$tipo;
          $colu_msge.=' => '.$colu_type;
          }
          $colu_msge.=' => '.$tipo;
     }
     
     if(mb_stristr($colu_name.$afte_name,$after) and ($afte_posi+1)!=$colu_posi)
     {
          $sql_colu.=' after '.$after;
          $colu_msge.=' ('.$after.')';
     }     
//      echo '<br>'.$sql_colu;
     echo '<br>'.$colu_msge;
     msql_query($sql_colu,$link_data);
       
     if($defa!="")
     {
          $sql_colu='alter table '.$tabla.' alter column '.$colu.' drop default ';
          msql_query($sql_colu,$link_data);

          $sql_colu='alter table '.$tabla.' alter column '.$colu.' set default "'.$defa.'"';
          msql_query($sql_colu,$link_data);

          if($defa=="NULL" )
          {$sql_colu='update '.$tabla.' set '.$colu.'=null where '.$colu.' =""';}
          else
          {$sql_colu='update '.$tabla.' set '.$colu.'="'.$defa.'" where '.$colu.' is null or '.$colu.' =""';}
          msql_query($sql_colu,$link_data);
     }

     if(mb_stristr('docu.pto.numero.fecha.docum.ptoem.numer.enti.item.ctas.cntn',$colu))
     {
          msql_query('alter table '.$tabla.' drop key '.$colu,$link_data);
          msql_query('create index '.$colu.' on '.$tabla.'('.$colu.')',$link_data);
     }
     
     
     return $colu;
}





?>